<!-- This file was generated by pybib2web, version 0.7.dev0: https://gitlab.com/sosy-lab/software/pybib2web/ -->
<input type="checkbox" id="show-compact">
<label for="show-compact">Compact view</label>
<h2 id="publications">Publications of year 2013</h2>
<nav class="publication-navigation">(<a href="../All/index.html">Show all</a> &ndash; <a href="../index.html">Index</a>)</nav>

<a href="../Category/conferences.html"><h3>Articles in conference or workshop proceedings</h3></a>

<ol class="list-publications" start="1">

<li class="bibentry" id="HVC13">
  <span class="main-info">
    <span class="author-list"><span class="author"><span class="firstname">Sven</span> <span class="lastname">Apel</span></span>,
    <span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><a href="../Author/FRIEDBERGER-K.html"><span class="firstname">Karlheinz</span> <span class="lastname">Friedberger</span></a></span>,
    <span class="author"><span class="firstname">Franco</span> <span class="lastname">Raimondi</span></span>, and
    <span class="author"><span class="firstname">Alexander von</span> <span class="lastname">Rhein</span></span>.</span>
    <span class="publication-title">Domain Types: Abstract-Domain Selection Based on Variable Usage.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">V.</span> <span class="lastname">Bertacco</span></span> and
      <span class="editor"><span class="firstname">A.</span> <span class="lastname">Legay</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 9th Haifa Verification Conference (HVC 2013, Haifa, Israel, November 5-7)</em>,
      <span class="series">LNCS 8244</span>,
      <span class="pages">pages 262-278</span>,
      <span class="publication-date">  <span class="year">2013</span></span>.
    </span>
    <span class="publisher">Springer-Verlag, Heidelberg.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-319-03077-7_18" data-doi="10.1007/978-3-319-03077-7_18" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-319-03077-7_18</a>
  </span>
  <a class="bibentry-link" href="#HVC13"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-319-03077-7_18" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2013-HVC.Domain_Types_Abstract-Domain_Selection_Based_on_Variable_Usage.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="https://www.sosy-lab.org/research/domaintypes/"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        The success of software model checking depends on
        finding an appropriate abstraction of the program to
        verify.  The choice of the abstract domain and the
        analysis configuration is currently left to the
        user, who may not be familiar with the tradeoffs and
        performance details of the available abstract
        domains.  We introduce the concept of domain
        types, which classify the program variables into
        types that are more fine-grained than standard
        declared types (e.g., 'int' and 'long') to guide the
        selection of an appropriate abstract domain for a
        model checker.  Our implementation on top of an
        existing verification framework determines the
        domain type for each variable in a pre-analysis
        step, based on the usage of variables in the
        program, and then assigns each variable to an
        abstract domain.  Based on a series of experiments
        on a comprehensive set of verification tasks from
        international verification competitions, we
        demonstrate that the choice of the abstract domain
        per variable (we consider one explicit and one
        symbolic domain) can substantially improve the
        verification in terms of performance and precision.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{HVC13,
        author = {Sven Apel and Dirk Beyer and Karlheinz Friedberger and Franco Raimondi and Alexander von Rhein},
        title = {Domain Types: Abstract-Domain Selection Based on Variable Usage},
        booktitle = {Proceedings of the 9th Haifa Verification Conference (HVC 2013, Haifa, Israel, November 5-7)},
        editor = {V.~Bertacco and A.~Legay},
        pages = {262-278},
        year = {2013},
        series = {LNCS~8244},
        publisher = {Springer-Verlag, Heidelberg},
        isbn = {978-3-319-03076-0},
        doi = {10.1007/978-3-319-03077-7_18},
        url = {https://www.sosy-lab.org/research/domaintypes/},
        pdf = {https://www.sosy-lab.org/research/pub/2013-HVC.Domain_Types_Abstract-Domain_Selection_Based_on_Variable_Usage.pdf},
        abstract = {The success of software model checking depends on finding an appropriate abstraction of the program to verify.  The choice of the abstract domain and the analysis configuration is currently left to the user, who may not be familiar with the tradeoffs and performance details of the available abstract domains.  We introduce the concept of domain types, which classify the program variables into types that are more fine-grained than standard declared types (e.g., `int&#x27; and `long&#x27;) to guide the selection of an appropriate abstract domain for a model checker.  Our implementation on top of an existing verification framework determines the domain type for each variable in a pre-analysis step, based on the usage of variables in the program, and then assigns each variable to an abstract domain.  Based on a series of experiments on a comprehensive set of verification tasks from international verification competitions, we demonstrate that the choice of the abstract domain per variable (we consider one explicit and one symbolic domain) can substantially improve the verification in terms of performance and precision.},
        keyword = {CPAchecker,Software Model Checking},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="FSE13">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><a href="../Author/LÖWE-S.html"><span class="firstname">Stefan</span> <span class="lastname">Löwe</span></a></span>,
    <span class="author"><span class="firstname">Evgeny</span> <span class="lastname">Novikov</span></span>,
    <span class="author"><span class="firstname">Andreas</span> <span class="lastname">Stahlbauer</span></span>, and
    <span class="author"><a href="../Author/WENDLER-P.html"><span class="firstname">Philipp</span> <span class="lastname">Wendler</span></a></span>.</span>
    <span class="publication-title">Precision Reuse for Efficient Regression Verification.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">B.</span> <span class="lastname">Meyer</span></span>,
      <span class="editor"><span class="firstname">L.</span> <span class="lastname">Baresi</span></span>, and
      <span class="editor"><span class="firstname">M.</span> <span class="lastname">Mezini</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 9th Joint Meeting of the European Software Engineering Conference and 
        the ACM SIGSOFT Symposium on Foundations of Software Engineering (ESEC/FSE 2013, St. Petersburg, Russia, August 18-26)</em>,
      <span class="pages">pages 389-399</span>,
      <span class="publication-date">  <span class="year">2013</span></span>.
    </span>
    <span class="publisher">ACM.</span>
    <a class="doi" href="https://doi.org/10.1145/2491411.2491429" data-doi="10.1145/2491411.2491429" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1145/2491411.2491429</a>
  </span>
  <a class="bibentry-link" href="#FSE13"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1145/2491411.2491429" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2013-FSE.Precision_Reuse_for_Efficient_Regression_Verification.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="https://www.sosy-lab.org/research/cpa-reuse/"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        Continuous testing during development is a
        well-established technique for software-quality
        assurance.  Continuous model checking from revision
        to revision is not yet established as a standard
        practice, because the enormous resource consumption
        makes its application impractical.  Model checkers
        compute a large number of verification facts that
        are necessary for verifying if a given specification
        holds.  We have identified a category of such
        intermediate results that are easy to store and
        efficient to reuse: abstraction precisions.
        The precision of an abstract domain specifies the
        level of abstraction that the analysis works on.
        Precisions are thus a precious result of the
        verification effort and it is a waste of resources
        to throw them away after each verification run.  In
        particular, precisions are reasonably small and thus
        easy to store; they are easy to process and have a
        large impact on resource consumption.  We
        experimentally show the impact of precision reuse on
        industrial verification problems created from 62
        Linux kernel device drivers with 1119 revisions.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{FSE13,
        author = {Dirk Beyer and Stefan L{\&quot;o}we and Evgeny Novikov and Andreas Stahlbauer and Philipp Wendler},
        title = {Precision Reuse for Efficient Regression Verification},
        booktitle = {Proceedings of the 9th Joint Meeting of the European Software Engineering Conference and  the ACM SIGSOFT Symposium on Foundations of Software Engineering (ESEC/FSE 2013, St. Petersburg, Russia, August 18-26)},
        editor = {B.~Meyer and L.~Baresi and M.~Mezini},
        pages = {389-399},
        year = {2013},
        publisher = {ACM},
        isbn = {},
        doi = {10.1145/2491411.2491429},
        url = {https://www.sosy-lab.org/research/cpa-reuse/},
        pdf = {https://www.sosy-lab.org/research/pub/2013-FSE.Precision_Reuse_for_Efficient_Regression_Verification.pdf},
        abstract = {Continuous testing during development is a well-established technique for software-quality assurance.  Continuous model checking from revision to revision is not yet established as a standard practice, because the enormous resource consumption makes its application impractical.  Model checkers compute a large number of verification facts that are necessary for verifying if a given specification holds.  We have identified a category of such intermediate results that are easy to store and efficient to reuse: abstraction precisions. The precision of an abstract domain specifies the level of abstraction that the analysis works on. Precisions are thus a precious result of the verification effort and it is a waste of resources to throw them away after each verification run.  In particular, precisions are reasonably small and thus easy to store; they are easy to process and have a large impact on resource consumption.  We experimentally show the impact of precision reuse on industrial verification problems created from 62 Linux kernel device drivers with 1119 revisions.},
        keyword = {CPAchecker,Software Model Checking},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="SPIN13">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span> and
    <span class="author"><a href="../Author/WENDLER-P.html"><span class="firstname">Philipp</span> <span class="lastname">Wendler</span></a></span>.</span>
    <span class="publication-title">Reuse of Verification Results: Conditional Model Checking, Precision Reuse, and Verification Witnesses.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">E.</span> <span class="lastname">Bartocci</span></span> and
      <span class="editor"><span class="firstname">C. R.</span> <span class="lastname">Ramakrishnan</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 2013 International Symposium
        on Model Checking of Software (SPIN 2013, Stony Brook, NY, USA, July 8-9)</em>,
      <span class="series">LNCS 7976</span>,
      <span class="pages">pages 1-17</span>,
      <span class="publication-date">  <span class="year">2013</span></span>.
    </span>
    <span class="publisher">Springer-Verlag, Heidelberg.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-642-39176-7_1" data-doi="10.1007/978-3-642-39176-7_1" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-642-39176-7_1</a>
  </span>
  <a class="bibentry-link" href="#SPIN13"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>,
        <a class="keyword" href="../Keyword/WITNESS-BASED-VALIDATION.html">Witness-Based Validation</a>,
        <a class="keyword" href="../Keyword/WITNESS-BASED-VALIDATION-MAIN.html">Witness-Based Validation (main)</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-642-39176-7_1" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2013-SPIN.Reuse_of_Verification_Results.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="http://www.sosy-lab.org/~dbeyer/cpa-reuse-gen/"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        Verification is a complex algorithmic task, requiring
        large amounts of computing resources.  One approach
        to reduce the resource consumption is to reuse
        information from previous verification runs.  This
        paper gives an overview of three techniques for such
        information reuse.  Conditional model checking
        outputs a condition that describes the state space
        that was successfully verified, and accepts as input
        a condition that instructs the model checker which
        parts of the system should be verified; thus, later
        verification runs can use the output condition of
        previous runs in order to not verify again parts of
        the state space that were already verified.
        Precision reuse is a technique to use intermediate
        results from previous verification runs to
        accelerate further verification runs of the system;
        information about the level of abstraction in the
        abstract model can be reused in later verification
        runs.  Typical model checkers provide an error path
        through the system as witness for having proved that
        a system violates a property, and a few model
        checkers provide some kind of proof certificate as a
        witness for the correctness of the system; these
        witnesses should be such that the verifiers can read
        them and -with less computational effort-
        (re-) verify that the witness is valid.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{SPIN13,
        author = {Dirk Beyer and Philipp Wendler},
        title = {Reuse of Verification Results: Conditional Model Checking, Precision Reuse, and Verification Witnesses},
        booktitle = {Proceedings of the 2013 International Symposium on Model Checking of Software (SPIN~2013, Stony Brook, NY, USA, July 8-9)},
        editor = {E.~Bartocci and C.~R.~Ramakrishnan},
        pages = {1-17},
        year = {2013},
        series = {LNCS~7976},
        publisher = {Springer-Verlag, Heidelberg},
        isbn = {},
        doi = {10.1007/978-3-642-39176-7_1},
        sha256 = {},
        url = {http://www.sosy-lab.org/~dbeyer/cpa-reuse-gen/},
        pdf = {https://www.sosy-lab.org/research/pub/2013-SPIN.Reuse_of_Verification_Results.pdf},
        abstract = {Verification is a complex algorithmic task, requiring large amounts of computing resources.  One approach to reduce the resource consumption is to reuse information from previous verification runs.  This paper gives an overview of three techniques for such information reuse.  Conditional model checking outputs a condition that describes the state space that was successfully verified, and accepts as input a condition that instructs the model checker which parts of the system should be verified; thus, later verification runs can use the output condition of previous runs in order to not verify again parts of the state space that were already verified. Precision reuse is a technique to use intermediate results from previous verification runs to accelerate further verification runs of the system; information about the level of abstraction in the abstract model can be reused in later verification runs.  Typical model checkers provide an error path through the system as witness for having proved that a system violates a property, and a few model checkers provide some kind of proof certificate as a witness for the correctness of the system; these witnesses should be such that the verifiers can read them and ---with less computational effort--- (re-) verify that the witness is valid.},
        keyword = {Software Model Checking,Witness-Based Validation,Witness-Based Validation (main)},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="ICSE13">
  <span class="main-info">
    <span class="author-list"><span class="author"><span class="firstname">Sven</span> <span class="lastname">Apel</span></span>,
    <span class="author"><span class="firstname">Alexander von</span> <span class="lastname">Rhein</span></span>,
    <span class="author"><a href="../Author/WENDLER-P.html"><span class="firstname">Philipp</span> <span class="lastname">Wendler</span></a></span>,
    <span class="author"><span class="firstname">Armin</span> <span class="lastname">Größlinger</span></span>, and
    <span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>.</span>
    <span class="publication-title">Strategies for Product-Line Verification: Case Studies and Experiments.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">D.</span> <span class="lastname">Notkin</span></span>,
      <span class="editor"><span class="firstname">B. H. C.</span> <span class="lastname">Cheng</span></span>, and
      <span class="editor"><span class="firstname">K.</span> <span class="lastname">Pohl</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 35th International Conference on 
        Software Engineering (ICSE 2013, San Francisco, CA, USA, May 18-26)</em>,
      <span class="pages">pages 482-491</span>,
      <span class="publication-date">  <span class="year">2013</span></span>.
    </span>
    <span class="publisher">IEEE.</span>
    <a class="doi" href="https://doi.org/10.1109/ICSE.2013.6606594" data-doi="10.1109/ICSE.2013.6606594" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1109/ICSE.2013.6606594</a>
  </span>
  <a class="bibentry-link" href="#ICSE13"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1109/ICSE.2013.6606594" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2013-ICSE.Strategies_for_Product-Line_Verification.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="http://fosd.net/FAV"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        Product-line technology is increasingly used in
        mission-critical and safety-critical applications.
        Hence, researchers are developing verification
        approaches that follow different strategies to cope
        with the specific properties of product lines.
        While the research community is discussing the
        mutual strengths and weaknesses of the different
        strategies-mostly at a conceptual level-there is
        a lack of evidence in terms of case studies, tool
        implementations, and experiments.  We have collected
        and prepared six product lines as subject systems
        for experimentation.  Furthermore, we have developed
        a model-checking tool chain for C-based and
        Java-based product lines, called SPLverifier, which
        we use to compare sample-based and family-based
        strategies with regard to verification performance
        and the ability to find defects.  Based on the
        experimental results and an analytical model, we
        revisit the discussion of the strengths and
        weaknesses of product-line-verification strategies.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{ICSE13,
        author = {Sven Apel and Alexander von Rhein and Philipp Wendler and Armin Gr{\&quot;o}{\ss}linger and Dirk Beyer},
        title = {Strategies for Product-Line Verification: Case Studies and Experiments},
        booktitle = {Proceedings of the 35th International Conference on  Software Engineering (ICSE~2013, San Francisco, CA, USA, May 18-26)},
        editor = {D.~Notkin and B.~H.~C.~Cheng and K.~Pohl},
        pages = {482-491},
        year = {2013},
        publisher = {IEEE},
        isbn = {978-1-4673-3076-3},
        doi = {10.1109/ICSE.2013.6606594},
        url = {http://fosd.net/FAV},
        pdf = {https://www.sosy-lab.org/research/pub/2013-ICSE.Strategies_for_Product-Line_Verification.pdf},
        abstract = {Product-line technology is increasingly used in mission-critical and safety-critical applications. Hence, researchers are developing verification approaches that follow different strategies to cope with the specific properties of product lines. While the research community is discussing the mutual strengths and weaknesses of the different strategies---mostly at a conceptual level---there is a lack of evidence in terms of case studies, tool implementations, and experiments.  We have collected and prepared six product lines as subject systems for experimentation.  Furthermore, we have developed a model-checking tool chain for C-based and Java-based product lines, called SPLverifier, which we use to compare sample-based and family-based strategies with regard to verification performance and the ability to find defects.  Based on the experimental results and an analytical model, we revisit the discussion of the strengths and weaknesses of product-line--verification strategies.},
        keyword = {Software Model Checking},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="TACAS13">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>.</span>
    <span class="publication-title">Second Competition on Software Verification (Summary of SV-COMP 2013).</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">N.</span> <span class="lastname">Piterman</span></span> and
      <span class="editor"><span class="firstname">S.</span> <span class="lastname">Smolka</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 19th International Conference on
        Tools and Algorithms for the Construction and Analysis of Systems (TACAS 2013, Rome, Italy, March 16-24)</em>,
      <span class="series">LNCS 7795</span>,
      <span class="pages">pages 594-609</span>,
      <span class="publication-date">  <span class="year">2013</span></span>.
    </span>
    <span class="publisher">Springer-Verlag, Heidelberg.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-642-36742-7_43" data-doi="10.1007/978-3-642-36742-7_43" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-642-36742-7_43</a>
  </span>
  <a class="bibentry-link" href="#TACAS13"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/COMPETITION-ON-SOFTWARE-VERIFICATION-SV-COMP.html">Competition on Software Verification (SV-COMP)</a>,
        <a class="keyword" href="../Keyword/COMPETITION-ON-SOFTWARE-VERIFICATION-SV-COMP-REPORT.html">Competition on Software Verification (SV-COMP Report)</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-642-36742-7_43" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2013-TACAS.Second_Competition_on_Software_Verification.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="https://sv-comp.sosy-lab.org/2013/"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        This report describes the 2nd International
        Competition on Software Verification (SV-COMP 2013),
        which is the second edition of this thorough
        evaluation of fully automatic verifiers for software
        programs.  The reported results represent the 2012
        state-of-the-art in automatic software verification,
        in terms of effectiveness and efficiency.  The
        benchmark set of verification tasks consists of
        eleven categories containing a total of 2315
        programs, written in C, and exposing features of
        integers, heap-data structures, bit-vector
        operations, and concurrency; the properties include
        reachability and memory safety.  The competition is
        again organized as a satellite event of TACAS.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{TACAS13,
        author = {Dirk Beyer},
        title = {Second Competition on Software Verification ({S}ummary of {SV-COMP} 2013)},
        booktitle = {Proceedings of the 19th International Conference on Tools and Algorithms for the Construction and Analysis of Systems (TACAS~2013, Rome, Italy, March 16-24)},
        editor = {N.~Piterman and S.~Smolka},
        pages = {594-609},
        year = {2013},
        series = {LNCS~7795},
        publisher = {Springer-Verlag, Heidelberg},
        isbn = {978-3-642-36741-0},
        doi = {10.1007/978-3-642-36742-7_43},
        sha256 = {a9a0e10c91869f8d855f4c54534d64370dfec39791cd7befacd5c775a99a4ea9},
        url = {https://sv-comp.sosy-lab.org/2013/},
        pdf = {https://www.sosy-lab.org/research/pub/2013-TACAS.Second_Competition_on_Software_Verification.pdf},
        abstract = {This report describes the 2nd International Competition on Software Verification (SV-COMP 2013), which is the second edition of this thorough evaluation of fully automatic verifiers for software programs.  The reported results represent the 2012 state-of-the-art in automatic software verification, in terms of effectiveness and efficiency.  The benchmark set of verification tasks consists of eleven categories containing a total of 2315 programs, written in C, and exposing features of integers, heap-data structures, bit-vector operations, and concurrency; the properties include reachability and memory safety.  The competition is again organized as a satellite event of TACAS.},
        keyword = {Competition on Software Verification (SV-COMP),Competition on Software Verification (SV-COMP Report),Software Model Checking},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="ESOP13">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><span class="firstname">Andreas</span> <span class="lastname">Holzer</span></span>,
    <span class="author"><span class="firstname">Michael</span> <span class="lastname">Tautschnig</span></span>, and
    <span class="author"><span class="firstname">Helmut</span> <span class="lastname">Veith</span></span>.</span>
    <span class="publication-title">Information Reuse for Multi-goal Reachability Analyses.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">M.</span> <span class="lastname">Felleisen</span></span> and
      <span class="editor"><span class="firstname">P.</span> <span class="lastname">Gardner</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 22nd European Symposium on Programming
        (ESOP 2013, Rome, Italy, March 19-22)</em>,
      <span class="series">LNCS 7792</span>,
      <span class="pages">pages 472-491</span>,
      <span class="publication-date">  <span class="year">2013</span></span>.
    </span>
    <span class="publisher">Springer-Verlag, Heidelberg.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-642-37036-6_26" data-doi="10.1007/978-3-642-37036-6_26" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-642-37036-6_26</a>
  </span>
  <a class="bibentry-link" href="#ESOP13"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-642-37036-6_26" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://link.springer.com/content/pdf/10.1007/978-3-642-37036-6_26.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="presentation-link" href="https://www.sosy-lab.org/research/prs/2013-03-21_ESOP13_InformationReuse_Andreas.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/presentation.gif">Presentation</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        It is known that model checkers can generate test
        inputs as witnesses for reachability specifications
        (or, equivalently, as counterexamples for safety
        properties).  While this use of model checkers for
        testing yields a theoretically sound test-generation
        procedure, it scales poorly for computing complex
        test suites for large sets of test goals, because
        each test goal requires an expensive run of the
        model checker.  We represent test goals as automata
        and exploit relations between automata in order to
        reuse existing reachability information for the
        analysis of subsequent test goals.  Exploiting the
        sharing of sub-automata in a series of reachability
        queries, we achieve considerable performance
        improvements over the standard approach.  We show
        the practical use of our multi-goal reachability
        analysis in a predicate-abstraction-based test-input
        generator for the test-specification language FQL.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{ESOP13,
        author = {Dirk Beyer and Andreas Holzer and Michael Tautschnig and Helmut Veith},
        title = {Information Reuse for Multi-goal Reachability Analyses},
        booktitle = {Proceedings of the 22nd European Symposium on Programming (ESOP~2013, Rome, Italy, March 19-22)},
        editor = {M.~Felleisen and P.~Gardner},
        pages = {472-491},
        year = {2013},
        series = {LNCS~7792},
        publisher = {Springer-Verlag, Heidelberg},
        isbn = {978-3-642-37035-9},
        doi = {10.1007/978-3-642-37036-6_26},
        sha256 = {9112a1c10c81e5aa3948a3a66bfd5ae1ab0d3c08186a67329fcf3efbb7f4d406},
        url = {},
        presentation = {https://www.sosy-lab.org/research/prs/2013-03-21_ESOP13_InformationReuse_Andreas.pdf},
        abstract = {It is known that model checkers can generate test inputs as witnesses for reachability specifications (or, equivalently, as counterexamples for safety properties).  While this use of model checkers for testing yields a theoretically sound test-generation procedure, it scales poorly for computing complex test suites for large sets of test goals, because each test goal requires an expensive run of the model checker.  We represent test goals as automata and exploit relations between automata in order to reuse existing reachability information for the analysis of subsequent test goals.  Exploiting the sharing of sub-automata in a series of reachability queries, we achieve considerable performance improvements over the standard approach.  We show the practical use of our multi-goal reachability analysis in a predicate-abstraction-based test-input generator for the test-specification language FQL.},
        keyword = {CPAchecker,Software Model Checking},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="FASE13">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span> and
    <span class="author"><a href="../Author/LÖWE-S.html"><span class="firstname">Stefan</span> <span class="lastname">Löwe</span></a></span>.</span>
    <span class="publication-title">Explicit-State Software Model Checking Based on CEGAR and Interpolation.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">V.</span> <span class="lastname">Cortellessa</span></span> and
      <span class="editor"><span class="firstname">D.</span> <span class="lastname">Varro</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 16th International Conference on
        Fundamental Approaches to Software Engineering (FASE 2013, Rome, Italy, March 20-22)</em>,
      <span class="series">LNCS 7793</span>,
      <span class="pages">pages 146-162</span>,
      <span class="publication-date">  <span class="year">2013</span></span>.
    </span>
    <span class="publisher">Springer-Verlag, Heidelberg.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-642-37057-1_11" data-doi="10.1007/978-3-642-37057-1_11" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-642-37057-1_11</a>
  </span>
  <a class="bibentry-link" href="#FASE13"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-642-37057-1_11" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://link.springer.com/content/pdf/10.1007/978-3-642-37057-1_11.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        Abstraction, counterexample-guided refinement, and
        interpolation are techniques that are essential to
        the success of predicate-based program analysis.
        These techniques have not yet been applied together
        to explicit-value program analysis.  We present an
        approach that integrates abstraction and
        interpolation-based refinement into an
        explicit-value analysis, i.e., a program analysis
        that tracks explicit values for a specified set of
        variables (the precision).  The algorithm uses an
        abstract reachability graph as central data
        structure and a path-sensitive dynamic approach for
        precision adjustment.  We evaluate our algorithm on
        the benchmark set of the Competition on Software
        Verification 2012 (SV-COMP'12) to show that our new
        approach is highly competitive.  We also show that
        combining our new approach with an auxiliary
        predicate analysis scores significantly higher than
        the SV-COMP'12 winner.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{FASE13,
        author = {Dirk Beyer and Stefan L{\&quot;o}we},
        title = {Explicit-State Software Model Checking Based on {CEGAR} and Interpolation},
        booktitle = {Proceedings of the 16th International Conference on Fundamental Approaches to Software Engineering (FASE~2013, Rome, Italy, March 20-22)},
        editor = {V.~Cortellessa and D.~Varro},
        pages = {146-162},
        year = {2013},
        series = {LNCS~7793},
        publisher = {Springer-Verlag, Heidelberg},
        isbn = {978-3-642-37056-4},
        doi = {10.1007/978-3-642-37057-1_11},
        sha256 = {3e2ba52da100fd835736b3673fa47a3429522dd3f4c0834b13f29d6a68a8bd45},
        url = {},
        abstract = {Abstraction, counterexample-guided refinement, and interpolation are techniques that are essential to the success of predicate-based program analysis. These techniques have not yet been applied together to explicit-value program analysis.  We present an approach that integrates abstraction and interpolation-based refinement into an explicit-value analysis, i.e., a program analysis that tracks explicit values for a specified set of variables (the precision).  The algorithm uses an abstract reachability graph as central data structure and a path-sensitive dynamic approach for precision adjustment.  We evaluate our algorithm on the benchmark set of the Competition on Software Verification 2012 (SV-COMP&#x27;12) to show that our new approach is highly competitive.  We also show that combining our new approach with an auxiliary predicate analysis scores significantly higher than the SV-COMP&#x27;12 winner.},
        keyword = {CPAchecker,Software Model Checking},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="MEMICS12">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span> and
    <span class="author"><span class="firstname">Andreas</span> <span class="lastname">Stahlbauer</span></span>.</span>
    <span class="publication-title">BDD-Based Software Model Checking with CPAchecker.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">A. Kucera et</span> <span class="lastname">al.</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the Annual Doctoral Workshop on 
        Mathematical and Engineering Methods in Computer Science
        (MEMICS 2012, Znojmo, Czech Republic, October 26-28)</em>,
      <span class="series">LNCS 7721</span>,
      <span class="pages">pages 1-11</span>,
      <span class="publication-date">  <span class="year">2013</span></span>.
    </span>
    <span class="publisher">Springer-Verlag, Heidelberg.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-642-36046-6_1" data-doi="10.1007/978-3-642-36046-6_1" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-642-36046-6_1</a>
  </span>
  <a class="bibentry-link" href="#MEMICS12"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-642-36046-6_1" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2013-MEMICS.BDD-Based_Software_Model_Checking_with_CPAchecker.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
    </span>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{MEMICS12,
        author = {Dirk Beyer and Andreas Stahlbauer},
        title = {{BDD}-Based Software Model Checking with {\textsc{CPAchecker}}},
        booktitle = {Proceedings of the Annual Doctoral Workshop on  Mathematical and Engineering Methods in Computer Science (MEMICS~2012, Znojmo, Czech Republic, October 26-28)},
        editor = {A.~Kucera~et~al.},
        pages = {1-11},
        year = {2013},
        series = {LNCS~7721},
        publisher = {Springer-Verlag, Heidelberg},
        isbn = {978-3-642-36044-2},
        doi = {10.1007/978-3-642-36046-6_1},
        url = {},
        pdf = {https://www.sosy-lab.org/research/pub/2013-MEMICS.BDD-Based_Software_Model_Checking_with_CPAchecker.pdf},
        keyword = {CPAchecker,Software Model Checking},
        }
        
      </div>
    </details>
  </span>
</li>

</ol>
 <section id="disclaimer"> <h4>Disclaimer:</h4> <p class="disclaimer"> This material is presented to ensure timely dissemination of scholarly and technical work. Copyright and all rights therein are retained by authors or by other copyright holders. All person copying this information are expected to adhere to the terms and constraints invoked by each author's copyright. In most cases, these works may not be reposted without the explicit permission of the copyright holder. </p> </section> <footer id="generator">This file was generated by <a href="https://gitlab.com/sosy-lab/software/pybib2web/">pybib2web</a>, version 0.7.dev0</footer>